//　++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//　AICS3_outline.jsx
//　全てのテキストをアウトライン化する
//
//　2011.05.23  ver.1.0
//
//　System requirements : Adobe Illustrator CS3 13.0.3　Windows XP SP3
//　Copyright(c) 2011 Kuro
//　http://www3.ocn.ne.jp/~art_mac/
//　++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

mydocument = app.activeDocument;

//　レイヤーをカウントする。
layercount = mydocument.layers.length;

var visibleflag = [];

//　レイヤーの表示状態を記憶し、レイヤーの表示、ロック解除を行う。
for( i=0; i<layercount; i++ ){
	mylayer = mydocument.layers[i];
	visibleflag[i] = mylayer.visible;
	mylayer.visible = true;
	mylayer.locked = false;
	}

//　テキストフレームをカウントする。
textitems = mydocument.textFrames;
textcount = textitems.length;
//　alert(textcount);

//　アウトライン化。
for( n=textcount - 1;n > -1;n--){
	hiddenflag = textitems[n].hidden;
	textitems[n].locked = false;
	if( hiddenflag  == false ){
		textitems[n].createOutline();
		}else{
			newitem = textitems[n].createOutline();
			newitem.hidden = true;
		}
	}

//　レイヤーの表示状態を元に戻し、ロックする。
for( m=0; m<layercount; m++){
	mylayer = mydocument.layers[m];
	if( visibleflag[m]  == true ){
		mylayer.locked = true;	
		}else{
			mylayer.visible = false;
			mylayer.locked = true;
		}
	}

alert("処理が完了しました。スクリプトを終了します。");